org.apache.tools.ant.taskdefs

## Class Javadoc.Html

- java.lang.Object
- - org.apache.tools.ant.taskdefs.Javadoc.Html

Enclosing class:
  Javadoc

    public static class Javadoc.Html
    extends java.lang.Object

An HTML element in the Javadoc. This class is used for those Javadoc elements which contain HTML such as footers, headers, etc.

### Constructor Summary

Constructors
Constructor and Description
`Javadoc.Html()`

### Method Summary

Methods
`void` `addText(java.lang.String t)` Add text to the element.
`java.lang.String` `getText()` Get the current text for the element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Javadoc.Html

    public Javadoc.Html()

### Method Detail

#### addText

    public void addText(java.lang.String t)

Add text to the element.

Parameters:
  `t` - the text to be added.

#### getText

    public java.lang.String getText()

Get the current text for the element.

Returns:
  the current text.